com.pixelmed.display

## Class SuperimposedImage.AppliedToUnderlyingImage

- java.lang.Object
- - com.pixelmed.display.SuperimposedImage.AppliedToUnderlyingImage

- Enclosing class:
    SuperimposedImage

      public class SuperimposedImage.AppliedToUnderlyingImage
      extends java.lang.Object

  A class that supports matching the geometry of a superimposed image and a specified underlying image, and creating a BufferedImage suitable for drawing on that underlying image.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.image.BufferedImage` | `getBufferedImage()`
    `double` | `getColumnOrigin()`
    `double` | `getRowOrigin()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getBufferedImage

          public java.awt.image.BufferedImage getBufferedImage()

      Returns:
        a BufferedImage if a superimposed frame that is close enough can be found, otherwise null

    - #### getColumnOrigin

          public double getColumnOrigin()

    - #### getRowOrigin

          public double getRowOrigin()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`